Login
Newsletter
Werbung

Sicherheit: Mehrere Probleme in Linux (Live Patch 11 SLE 15 SP4)
Aktuelle Meldungen Distributionen
Name: Mehrere Probleme in Linux (Live Patch 11 SLE 15 SP4)
ID: SUSE-SU-2023:3647-1
Distribution: SUSE
Plattformen: SUSE Linux Enterprise Micro 5.3, SUSE Linux Enterprise Real Time 15 SP4, SUSE Linux Enterprise High Performance Computing 15 SP4, SUSE Linux Enterprise Server 15 SP4, SUSE Linux Enterprise Server for SAP Applications 15 SP4, SUSE Linux Enterprise Micro 5.4, SUSE Linux Enterprise Live Patching 15-SP4, SUSE openSUSE Leap 15.4
Datum: Mo, 18. September 2023, 22:17
Referenzen: https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2023-32233
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2023-3090
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2023-35001
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2023-2156
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2023-1077
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2023-2176
Applikationen: Linux

Originalnachricht

--===============4736319083467774913==
Content-Type: text/plain; charset="utf-8"
MIME-Version: 1.0
Content-Transfer-Encoding: 7bit



# Security update for the Linux Kernel (Live Patch 11 for SLE 15 SP4)

Announcement ID: SUSE-SU-2023:3647-1
Rating: important
References:

* #1208839
* #1210630
* #1211187
* #1211395
* #1212849
* #1213063


Cross-References:

* CVE-2023-1077
* CVE-2023-2156
* CVE-2023-2176
* CVE-2023-3090
* CVE-2023-32233
* CVE-2023-35001


CVSS scores:

* CVE-2023-1077 ( SUSE ): 7.0 CVSS:3.1/AV:L/AC:H/PR:L/UI:N/S:U/C:H/I:H/A:H
* CVE-2023-1077 ( NVD ): 7.0 CVSS:3.1/AV:L/AC:H/PR:L/UI:N/S:U/C:H/I:H/A:H
* CVE-2023-2156 ( SUSE ): 7.5 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H
* CVE-2023-2156 ( NVD ): 7.5 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H
* CVE-2023-2176 ( SUSE ): 7.8 CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H
* CVE-2023-2176 ( NVD ): 7.8 CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H
* CVE-2023-3090 ( SUSE ): 7.8 CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H
* CVE-2023-3090 ( NVD ): 7.8 CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H
* CVE-2023-32233 ( SUSE ): 7.8 CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H
* CVE-2023-32233 ( NVD ): 7.8 CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H
* CVE-2023-35001 ( SUSE ): 7.8 CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H
* CVE-2023-35001 ( NVD ): 7.8 CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H


Affected Products:

* openSUSE Leap 15.4
* SUSE Linux Enterprise High Performance Computing 15 SP4
* SUSE Linux Enterprise Live Patching 15-SP4
* SUSE Linux Enterprise Micro 5.3
* SUSE Linux Enterprise Micro 5.4
* SUSE Linux Enterprise Real Time 15 SP4
* SUSE Linux Enterprise Server 15 SP4
* SUSE Linux Enterprise Server for SAP Applications 15 SP4



An update that solves six vulnerabilities can now be installed.

## Description:

This update for the Linux Kernel 5.14.21-150400_24_60 fixes several issues.

The following security issues were fixed:

* CVE-2023-32233: Fixed a use-after-free in Netfilter nf_tables when
processing batch requests (bsc#1211187).
* CVE-2023-2156: Fixed a flaw in the networking subsystem within the handling
of the RPL protocol (bsc#1211395).
* CVE-2023-35001: Fixed an out-of-bounds memory access flaw in nft_byteorder
that could allow a local attacker to escalate their privilege
(bsc#1213063).
* CVE-2023-1077: Fixed a type confusion in pick_next_rt_entity(), that could
cause memory corruption (bsc#1208839).
* CVE-2023-2176: Fixed an out-of-boundary read in compare_netdev_and_ip in
drivers/infiniband/core/cma.c in RDMA (bsc#1210630).
* CVE-2023-3090: Fixed a heap out-of-bounds write in the ipvlan network
driver
(bsc#1212849).

## Patch Instructions:

To install this SUSE update use the SUSE recommended installation methods like
YaST online_update or "zypper patch".
Alternatively you can run the command listed for your product:

* SUSE Linux Enterprise Live Patching 15-SP4
zypper in -t patch SUSE-SLE-Module-Live-Patching-15-SP4-2023-3652=1
SUSE-SLE-
Module-Live-Patching-15-SP4-2023-3647=1

* openSUSE Leap 15.4
zypper in -t patch SUSE-2023-3647=1 SUSE-2023-3652=1

## Package List:

* SUSE Linux Enterprise Live Patching 15-SP4 (ppc64le s390x x86_64)
* kernel-livepatch-5_14_21-150400_24_55-default-debuginfo-6-150400.2.1
* kernel-livepatch-5_14_21-150400_24_55-default-6-150400.2.1
* kernel-livepatch-SLE15-SP4_Update_10-debugsource-6-150400.2.1
* kernel-livepatch-SLE15-SP4_Update_11-debugsource-5-150400.2.1
* kernel-livepatch-5_14_21-150400_24_60-default-5-150400.2.1
* kernel-livepatch-5_14_21-150400_24_60-default-debuginfo-5-150400.2.1
* openSUSE Leap 15.4 (ppc64le s390x x86_64)
* kernel-livepatch-5_14_21-150400_24_55-default-debuginfo-6-150400.2.1
* kernel-livepatch-SLE15-SP4_Update_10-debugsource-6-150400.2.1
* kernel-livepatch-5_14_21-150400_24_55-default-6-150400.2.1
* kernel-livepatch-SLE15-SP4_Update_11-debugsource-5-150400.2.1
* kernel-livepatch-5_14_21-150400_24_60-default-5-150400.2.1
* kernel-livepatch-5_14_21-150400_24_60-default-debuginfo-5-150400.2.1

## References:

* https://www.suse.com/security/cve/CVE-2023-1077.html
* https://www.suse.com/security/cve/CVE-2023-2156.html
* https://www.suse.com/security/cve/CVE-2023-2176.html
* https://www.suse.com/security/cve/CVE-2023-3090.html
* https://www.suse.com/security/cve/CVE-2023-32233.html
* https://www.suse.com/security/cve/CVE-2023-35001.html
* https://bugzilla.suse.com/show_bug.cgi?id=1208839
* https://bugzilla.suse.com/show_bug.cgi?id=1210630
* https://bugzilla.suse.com/show_bug.cgi?id=1211187
* https://bugzilla.suse.com/show_bug.cgi?id=1211395
* https://bugzilla.suse.com/show_bug.cgi?id=1212849
* https://bugzilla.suse.com/show_bug.cgi?id=1213063


--===============4736319083467774913==
Content-Type: text/html; charset="utf-8"
MIME-Version: 1.0
Content-Transfer-Encoding: 7bit




<div class="container">
<h1>Security update for the Linux Kernel (Live Patch 11 for SLE 15
SP4)</h1>

<table class="table table-striped table-bordered">
<tbody>
<tr>
<th>Announcement ID:</th>
<td>SUSE-SU-2023:3647-1</td>
</tr>

<tr>
<th>Rating:</th>
<td>important</td>
</tr>
<tr>
<th>References:</th>
<td>
<ul>

<li style="display: inline;">
<a href="https://bugzilla.suse.com/show_bug.cgi?id=1208839">#1208839</a>
</li>

<li style="display: inline;">
<a href="https://bugzilla.suse.com/show_bug.cgi?id=1210630">#1210630</a>
</li>

<li style="display: inline;">
<a href="https://bugzilla.suse.com/show_bug.cgi?id=1211187">#1211187</a>
</li>

<li style="display: inline;">
<a href="https://bugzilla.suse.com/show_bug.cgi?id=1211395">#1211395</a>
</li>

<li style="display: inline;">
<a href="https://bugzilla.suse.com/show_bug.cgi?id=1212849">#1212849</a>
</li>

<li style="display: inline;">
<a href="https://bugzilla.suse.com/show_bug.cgi?id=1213063">#1213063</a>
</li>


</ul>
</td>
</tr>

<tr>
<th>
Cross-References:
</th>
<td>
<ul>

<li style="display: inline;">
<a href="https://www.suse.com/security/cve/CVE-2023-1077.html">CVE-2023-1077</a>
</li>

<li style="display: inline;">
<a href="https://www.suse.com/security/cve/CVE-2023-2156.html">CVE-2023-2156</a>
</li>

<li style="display: inline;">
<a href="https://www.suse.com/security/cve/CVE-2023-2176.html">CVE-2023-2176</a>
</li>

<li style="display: inline;">
<a href="https://www.suse.com/security/cve/CVE-2023-3090.html">CVE-2023-3090</a>
</li>

<li style="display: inline;">
<a href="https://www.suse.com/security/cve/CVE-2023-32233.html">CVE-2023-32233</a>
</li>

<li style="display: inline;">
<a href="https://www.suse.com/security/cve/CVE-2023-35001.html">CVE-2023-35001</a>
</li>

</ul>
</td>
</tr>
<tr>
<th>CVSS scores:</th>
<td>
<ul class="list-group">

<li class="list-group-item">
<span
class="cvss-reference">CVE-2023-1077</span>
<span class="cvss-source">
(

SUSE

):
</span>
<span
class="cvss-score">7.0</span>
<span
class="cvss-vector">CVSS:3.1/AV:L/AC:H/PR:L/UI:N/S:U/C:H/I:H/A:H</span>
</li>

<li class="list-group-item">
<span
class="cvss-reference">CVE-2023-1077</span>
<span class="cvss-source">
(

NVD

):
</span>
<span
class="cvss-score">7.0</span>
<span
class="cvss-vector">CVSS:3.1/AV:L/AC:H/PR:L/UI:N/S:U/C:H/I:H/A:H</span>
</li>

<li class="list-group-item">
<span
class="cvss-reference">CVE-2023-2156</span>
<span class="cvss-source">
(

SUSE

):
</span>
<span
class="cvss-score">7.5</span>
<span
class="cvss-vector">CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H</span>
</li>

<li class="list-group-item">
<span
class="cvss-reference">CVE-2023-2156</span>
<span class="cvss-source">
(

NVD

):
</span>
<span
class="cvss-score">7.5</span>
<span
class="cvss-vector">CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H</span>
</li>

<li class="list-group-item">
<span
class="cvss-reference">CVE-2023-2176</span>
<span class="cvss-source">
(

SUSE

):
</span>
<span
class="cvss-score">7.8</span>
<span
class="cvss-vector">CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H</span>
</li>

<li class="list-group-item">
<span
class="cvss-reference">CVE-2023-2176</span>
<span class="cvss-source">
(

NVD

):
</span>
<span
class="cvss-score">7.8</span>
<span
class="cvss-vector">CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H</span>
</li>

<li class="list-group-item">
<span
class="cvss-reference">CVE-2023-3090</span>
<span class="cvss-source">
(

SUSE

):
</span>
<span
class="cvss-score">7.8</span>
<span
class="cvss-vector">CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H</span>
</li>

<li class="list-group-item">
<span
class="cvss-reference">CVE-2023-3090</span>
<span class="cvss-source">
(

NVD

):
</span>
<span
class="cvss-score">7.8</span>
<span
class="cvss-vector">CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H</span>
</li>

<li class="list-group-item">
<span
class="cvss-reference">CVE-2023-32233</span>
<span class="cvss-source">
(

SUSE

):
</span>
<span
class="cvss-score">7.8</span>
<span
class="cvss-vector">CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H</span>
</li>

<li class="list-group-item">
<span
class="cvss-reference">CVE-2023-32233</span>
<span class="cvss-source">
(

NVD

):
</span>
<span
class="cvss-score">7.8</span>
<span
class="cvss-vector">CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H</span>
</li>

<li class="list-group-item">
<span
class="cvss-reference">CVE-2023-35001</span>
<span class="cvss-source">
(

SUSE

):
</span>
<span
class="cvss-score">7.8</span>
<span
class="cvss-vector">CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H</span>
</li>

<li class="list-group-item">
<span
class="cvss-reference">CVE-2023-35001</span>
<span class="cvss-source">
(

NVD

):
</span>
<span
class="cvss-score">7.8</span>
<span
class="cvss-vector">CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H</span>
</li>

</ul>
</td>
</tr>

<tr>
<th>Affected Products:</th>
<td>
<ul class="list-group">

<li class="list-group-item">openSUSE Leap
15.4</li>

<li class="list-group-item">SUSE Linux
Enterprise High Performance Computing 15 SP4</li>

<li class="list-group-item">SUSE Linux
Enterprise Live Patching 15-SP4</li>

<li class="list-group-item">SUSE Linux
Enterprise Micro 5.3</li>

<li class="list-group-item">SUSE Linux
Enterprise Micro 5.4</li>

<li class="list-group-item">SUSE Linux
Enterprise Real Time 15 SP4</li>

<li class="list-group-item">SUSE Linux
Enterprise Server 15 SP4</li>

<li class="list-group-item">SUSE Linux
Enterprise Server for SAP Applications 15 SP4</li>

</ul>
</td>
</tr>
</tbody>
</table>

<p>An update that solves six vulnerabilities can now be
installed.</p>





<h2>Description:</h2>

<p>This update for the Linux Kernel 5.14.21-150400_24_60 fixes
several issues.</p>
<p>The following security issues were fixed:</p>
<ul>
<li>CVE-2023-32233: Fixed a use-after-free in Netfilter nf_tables when
processing batch requests (bsc#1211187).</li>
<li>CVE-2023-2156: Fixed a flaw in the networking subsystem within the
handling of the RPL protocol (bsc#1211395).</li>
<li>CVE-2023-35001: Fixed an out-of-bounds memory access flaw in
nft_byteorder that could allow a local attacker to escalate their privilege (bsc#1213063).</li>
<li>CVE-2023-1077: Fixed a type confusion in pick_next_rt_entity(), that
could cause memory corruption (bsc#1208839).</li>
<li>CVE-2023-2176: Fixed an out-of-boundary read in compare_netdev_and_ip
in drivers/infiniband/core/cma.c in RDMA (bsc#1210630).</li>
<li>CVE-2023-3090: Fixed a heap out-of-bounds write in the ipvlan network
driver (bsc#1212849).</li>
</ul>





<h2>Patch Instructions:</h2>
<p>
To install this SUSE update use the SUSE recommended
installation methods like YaST online_update or "zypper
patch".<br/>

Alternatively you can run the command listed for your product:
</p>
<ul class="list-group">

<li class="list-group-item">
SUSE Linux Enterprise Live Patching 15-SP4


<br/>
<code>zypper in -t patch
SUSE-SLE-Module-Live-Patching-15-SP4-2023-3652=1 SUSE-SLE-Module-Live-Patching-15-SP4-2023-3647=1</code>



</li>

<li class="list-group-item">
openSUSE Leap 15.4


<br/>
<code>zypper in -t patch SUSE-2023-3647=1
SUSE-2023-3652=1</code>



</li>

</ul>

<h2>Package List:</h2>
<ul>


<li>
SUSE Linux Enterprise Live Patching 15-SP4 (ppc64le s390x
x86_64)
<ul>


<li>kernel-livepatch-5_14_21-150400_24_55-default-debuginfo-6-150400.2.1</li>


<li>kernel-livepatch-5_14_21-150400_24_55-default-6-150400.2.1</li>


<li>kernel-livepatch-SLE15-SP4_Update_10-debugsource-6-150400.2.1</li>


<li>kernel-livepatch-SLE15-SP4_Update_11-debugsource-5-150400.2.1</li>


<li>kernel-livepatch-5_14_21-150400_24_60-default-5-150400.2.1</li>


<li>kernel-livepatch-5_14_21-150400_24_60-default-debuginfo-5-150400.2.1</li>

</ul>
</li>



<li>
openSUSE Leap 15.4 (ppc64le s390x x86_64)
<ul>


<li>kernel-livepatch-5_14_21-150400_24_55-default-debuginfo-6-150400.2.1</li>


<li>kernel-livepatch-SLE15-SP4_Update_10-debugsource-6-150400.2.1</li>


<li>kernel-livepatch-5_14_21-150400_24_55-default-6-150400.2.1</li>


<li>kernel-livepatch-SLE15-SP4_Update_11-debugsource-5-150400.2.1</li>


<li>kernel-livepatch-5_14_21-150400_24_60-default-5-150400.2.1</li>


<li>kernel-livepatch-5_14_21-150400_24_60-default-debuginfo-5-150400.2.1</li>

</ul>
</li>


</ul>


<h2>References:</h2>
<ul>


<li>
<a href="https://www.suse.com/security/cve/CVE-2023-1077.html">https://www.suse.com/security/cve/CVE-2023-1077.html</a>
</li>



<li>
<a href="https://www.suse.com/security/cve/CVE-2023-2156.html">https://www.suse.com/security/cve/CVE-2023-2156.html</a>
</li>



<li>
<a href="https://www.suse.com/security/cve/CVE-2023-2176.html">https://www.suse.com/security/cve/CVE-2023-2176.html</a>
</li>



<li>
<a href="https://www.suse.com/security/cve/CVE-2023-3090.html">https://www.suse.com/security/cve/CVE-2023-3090.html</a>
</li>



<li>
<a href="https://www.suse.com/security/cve/CVE-2023-32233.html">https://www.suse.com/security/cve/CVE-2023-32233.html</a>
</li>



<li>
<a href="https://www.suse.com/security/cve/CVE-2023-35001.html">https://www.suse.com/security/cve/CVE-2023-35001.html</a>
</li>



<li>
<a href="https://bugzilla.suse.com/show_bug.cgi?id=1208839">https://bugzilla.suse.com/show_bug.cgi?id=1208839</a>
</li>



<li>
<a href="https://bugzilla.suse.com/show_bug.cgi?id=1210630">https://bugzilla.suse.com/show_bug.cgi?id=1210630</a>
</li>



<li>
<a href="https://bugzilla.suse.com/show_bug.cgi?id=1211187">https://bugzilla.suse.com/show_bug.cgi?id=1211187</a>
</li>



<li>
<a href="https://bugzilla.suse.com/show_bug.cgi?id=1211395">https://bugzilla.suse.com/show_bug.cgi?id=1211395</a>
</li>



<li>
<a href="https://bugzilla.suse.com/show_bug.cgi?id=1212849">https://bugzilla.suse.com/show_bug.cgi?id=1212849</a>
</li>



<li>
<a href="https://bugzilla.suse.com/show_bug.cgi?id=1213063">https://bugzilla.suse.com/show_bug.cgi?id=1213063</a>
</li>


</ul>

</div>

--===============4736319083467774913==--
Pro-Linux
Pro-Linux @Facebook
Neue Nachrichten
Werbung